package com.persagy.ems.pojo.old;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.core.annotation.Column;
import com.persagy.core.annotation.Dimension;
import com.persagy.core.annotation.Entity;
import com.persagy.core.annotation.Index;
import com.persagy.core.annotation.Table;
import com.persagy.core.enumeration.Schema;
import com.persagy.core.mvc.pojo.BusinessObject;

/**
 * 龙湖定制
 */
@Dimension
@Entity(name = "WeatherMonthData")
@Table(name = "t_weather_month_data", schema = Schema.UDM, comment = "天气5分钟的数据", indexes = {
		@Index(columns = { "c_location_id", "c_receive_time" }, unique = true) })
public class WeatherMonthData extends BusinessObject {

	private static final long serialVersionUID = 2389680252274743015L;

	@JsonProperty("locationId")
	@Column(order = 1, name = "c_location_id", length = 50, nullable = false, comment = "城市编码")
	private String locationId;

	@JsonProperty("receivetime")
	@Column(order = 3, name = "c_receive_time", length = 0, nullable = false, comment = "数据时间")
	private Date receivetime;

	@JsonProperty("data")
	@Column(order = 4, name = "c_data", length = 18, scale = 8, nullable = false, comment = "数值")
	private Double data;

	@JsonProperty("type")
	@Column(order = 1, name = "c_type", length = 5, nullable = false, comment = "类型")
	private Integer type;

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getLocationId() {
		return locationId;
	}

	public void setLocationId(String locationId) {
		this.locationId = locationId;
	}

	public Date getReceivetime() {
		return receivetime;
	}

	public void setReceivetime(Date receivetime) {
		this.receivetime = receivetime;
	}

	public Double getData() {
		return data;
	}

	public void setData(Double data) {
		this.data = data;
	}

}

